Bug 1078911 - u-boot syslinux by default
Summary: u-boot syslinux by default
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Pete Travis
URL:
Whiteboard: ChangeAcceptedF21 SystemWideChange
Keywords:
Depends On: 1088933
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-20 14:15 UTC by Jaroslav Reznik
Modified: 2016-09-02 21:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 15:22:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-03-20 14:15:37 UTC
This is a tracking bug for Change: u-boot syslinux by default
For more details, see: http://fedoraproject.org//wiki/Changes/u-boot_syslinux

Add syslinux support to u-boot enabling both pxelinux and extlinux support. simplifying booting arm machines, making anaconda installs easy and overall providing for a better user experience.
Default u-boot to using syslinux config files for booting. pxelinux for network and extlinux for local booting. u-boot is the bootloader used on ARM systems in Fedora so the scope of this change is limited to ARM hardware only.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:33 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Dennis Gilmore 2014-07-09 17:13:12 UTC
the u-boot side is done, patches for grubby are underway. appliance-tools sets things up correctly, and I have a plan for implementing things getting setup correctly on installs

Comment 3 Pete Travis 2014-09-24 05:45:32 UTC
I've drafted this for the release notes at https://fedoraproject.org/wiki/Documentation_ARM_Specific_Content_Beat , Dennis, would you please take a look?

Comment 4 Jaroslav Reznik 2014-10-07 12:23:39 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 5 Jaroslav Reznik 2014-10-20 13:21:32 UTC
Dennis,
what's the status of this change?

Comment 6 Dennis Gilmore 2014-10-22 17:23:12 UTC
as of TC4 we have in place the pieces needed for this


Note You need to log in before you can comment on or make changes to this bug.